> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Logistics Documents

> List shipments annotated with their associated GRN (inbound) or
delivery-note (outbound) document status.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/logistics/documents
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/logistics/documents:
    get:
      tags:
        - Logistics
      summary: List Logistics Documents
      description: |-
        List shipments annotated with their associated GRN (inbound) or
        delivery-note (outbound) document status.
      operationId: list_logistics_documents_api_v1_logistics_documents_get
      parameters:
        - name: direction
          in: query
          required: false
          schema:
            type: string
            default: inbound
            title: Direction
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentShipmentResponse'
                title: >-
                  Response List Logistics Documents Api V1 Logistics Documents
                  Get
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DocumentShipmentResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          type: string
          title: Documentid
        counterparty:
          type: string
          title: Counterparty
        direction:
          type: string
          title: Direction
        incoterm:
          anyOf:
            - type: string
            - type: 'null'
          title: Incoterm
        items:
          type: string
          title: Items
        date:
          type: string
          title: Date
        docId:
          anyOf:
            - type: string
            - type: 'null'
          title: Docid
        docStatus:
          type: string
          title: Docstatus
      type: object
      required:
        - id
        - documentId
        - counterparty
        - direction
        - items
        - date
        - docStatus
      title: DocumentShipmentResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````